<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/edma/include/edma_xwr1xxx.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_810c6c17b078d25542c5921e1e766f5a.html">edma</a></li><li class="navelem"><a class="el" href="dir_13d22a9f8f54037221df8f138feac1d5.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">edma_xwr1xxx.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the internal Header for EDMA hardware attributes definition. This header file should <em>NOT</em> be directly included by applications.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;ti/drivers/osal/HwiP.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/SemaphoreP.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__hw_attrs__t__.html">EDMA_hwAttrs_t_</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:aee50c1279ebc9439a343c86912ea4f6d"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_e_d_m_a__hw_attrs__t__.html">EDMA_hwAttrs_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma__xwr1xxx_8h.html#aee50c1279ebc9439a343c86912ea4f6d">EDMA_hwAttrs_t</a></td></tr>
<tr class="separator:aee50c1279ebc9439a343c86912ea4f6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad2d76fa442067bd06e0b05cedb6c24b3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="edma__xwr1xxx_8h.html#aee50c1279ebc9439a343c86912ea4f6d">EDMA_hwAttrs_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma__xwr1xxx_8h.html#ad2d76fa442067bd06e0b05cedb6c24b3">gEdmaHwAttrs</a> [EDMA_NUM_CC]</td></tr>
<tr class="memdesc:ad2d76fa442067bd06e0b05cedb6c24b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDMA hardware attributes global.  <a href="#ad2d76fa442067bd06e0b05cedb6c24b3">More...</a><br /></td></tr>
<tr class="separator:ad2d76fa442067bd06e0b05cedb6c24b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the internal Header for EDMA hardware attributes definition. This header file should <em>NOT</em> be directly included by applications. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="aee50c1279ebc9439a343c86912ea4f6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_e_d_m_a__hw_attrs__t__.html">EDMA_hwAttrs_t_</a>  <a class="el" href="edma__xwr1xxx_8h.html#aee50c1279ebc9439a343c86912ea4f6d">EDMA_hwAttrs_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>brief EDMA Hardware attributes. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="ad2d76fa442067bd06e0b05cedb6c24b3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="edma__xwr1xxx_8h.html#aee50c1279ebc9439a343c86912ea4f6d">EDMA_hwAttrs_t</a> gEdmaHwAttrs[EDMA_NUM_CC]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>EDMA hardware attributes global. </p>
<p>Global for EDMA Hardware attributes </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
